#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		module		compose
%define		egg_name	docker_compose
%define		pypi_name	docker-compose
Summary:	Multi-container orchestration for Docker
Name:		docker-compose
Version:	1.25.0
Release:	1
License:	Apache v2.0
Group:		Applications/System
# https://github.com/docker/compose/releases
Source0:	https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	275b32cffdad6b9816dc8b4c7e55600a
Patch0:		remove-requires-upper-bound.patch
URL:		https://docs.docker.com/compose/
%if %{with tests}
BuildRequires:	python-PyYAML
BuildRequires:	python-docker
BuildRequires:	python-docopt
BuildRequires:	python-paramiko
BuildRequires:	python-requests
BuildRequires:	python-setuptools
BuildRequires:	python-texttable
BuildRequires:	python-websocket-client
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	docker(engine) >= 1.10.0
Requires:	python-docker >= 3.6.0
Requires:	python-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Multi-container orchestration for Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be
  reproduced anywhere.
- Define the services that make up your app so they can be run
  together in an isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your
  entire app.

%prep
%setup -q
%patch0 -p1

rm -r docker_compose.egg-info

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md CONTRIBUTING.md README.md SWARM.md LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Sat Nov 23 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docker-compose.git;a=log;h=master

* Thu Nov 21 2019 Jan Palus <atler@pld-linux.org> 277c9d5
- up to 1.25.0

* Sun Apr 07 2019 Jan Palus <atler@pld-linux.org> eeb901a
- missing patch update; rel 2

* Sun Mar 31 2019 Jan Palus <atler@pld-linux.org> 873d6b1
- up to 1.24.0

* Tue Feb 26 2019 Elan Ruusamäe <glen@pld-linux.org> b4aeabf
- require setuptools for pkg_resources

* Sat Dec 01 2018 Jan Palus <atler@pld-linux.org> f662065
- up to 1.23.2

* Fri Aug 03 2018 Elan Ruusamäe <glen@pld-linux.org> d412c73
- require docker(engine)

* Wed Jul 18 2018 Jan Palus <atler@pld-linux.org> f3b8d3c
- up to 1.22.0

* Sat Mar 24 2018 Jan Palus <atler@pld-linux.org> d054d68
- missed patch update

* Thu Mar 22 2018 Jan Palus <atler@pld-linux.org> d4a949a
- up to 1.20.1

* Wed Mar 21 2018 Jan Palus <atler@pld-linux.org> 384fb2d
- up to 1.20.0

* Tue Oct 17 2017 Elan Ruusamäe <glen@pld-linux.org> 2199f1a
- up to 1.16.1

* Sat Aug 26 2017 Jan Rękorajski <baggins@pld-linux.org> b030c14
- commit updated patch
- rel 2

* Sun Aug 20 2017 Jan Rękorajski <baggins@pld-linux.org> 3e925c1
- up to 1.15.0
- updated deps patch

* Tue Jul 18 2017 Elan Ruusamäe <glen@pld-linux.org> 9696a89
- up to 1.14.0

* Sun Nov 27 2016 Elan Ruusamäe <glen@delfi.ee> d4e83a2
- up to 1.9.0 (2016-11-16)

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> 390264e
- up to 1.8.1 (2016-09-22)

* Thu Aug 25 2016 Elan Ruusamäe <glen@delfi.ee> 0293309
- up to 1.8.0 (2016-06-14)

* Thu May 19 2016 Elan Ruusamäe <glen@delfi.ee> 1ea8eb3
- up to 1.7.1

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 49b0b58
- up to 1.7.0

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 5995790
- restore egg deps where appropriate

